Bug 626746 - Please reflect the setting of "path" line in /etc/kdump.conf
Please reflect the setting of "path" line in /etc/kdump.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kexec-tools (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Cong Wang
Petr Beňas
:
Depends On: 379521
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 05:59 EDT by Cong Wang
Modified: 2015-01-04 17:59 EST (History)
6 users (show)

See Also:
Fixed In Version: kexec-tools-2_0_0-157_el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 379521
Environment:
Last Closed: 2011-05-19 10:15:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0736 normal SHIPPED_LIVE kexec-tools bug fix update 2011-05-18 14:09:18 EDT

  None (edit)
Description Cong Wang 2010-08-24 05:59:47 EDT
+++ This bug was initially created as a clone of Bug #379521 +++

Description of problem:

The setting of "path" line on /etc/kdump.conf is not reflected.
The dumpfile is always saved to "/var/crash". 

Please fix to reflect the setting of "path" line by correcting
the "/etc/init.d/kdump" script. 

Version-Release number of selected component (if applicable):
  kexec-tools: RHEL5.0 - RHEL5.1 (1.101-194.4.el5)

How reproducible:

  kernel crashdump

Steps to Reproduce:

  /etc/kdump.conf:
     ...
    path /tmp/
     ...

Actual results:
  It created vmcore into /var/crash/127.0.0.1-xxxxxx.

Expected results:
  It created vmcore into /tmp/ (arbitrary directory).
  Please fix the kdump script.

--- Additional comment from maeno.masaki@oss.ntt.co.jp on 2007-11-18 21:07:37 EST ---

If "ext3" line is "another partition (ex: /dev/cciss/c0d0p6)" and 
"path" line is "/crash1", I confirmed that I could get a dumpfile.

If "ext3" line is "rootfs partition (ex: /dev/cciss/c0d0p1)" and 
"path" line is "/crash2", I could get a dumpfile.

If "ext3" line is "not set" and 
"path" line is "/crash3", I could not get a dumpfile.
The system causes "kernel panic on 2nd kdump kernel" or "reboot without get a
dumpfile on 2nd kdump kernel". 
However, it is not possible to set it by "system-config-kdump" like it.
Therefore, its problem is not a major problem.

Please close this issue.


--- Additional comment from robotsari@gmail.com on 2010-07-15 16:16:16 EDT ---

Hi,

I have also encountered the problem described in the original comment, but it is really easy to fix by inserting a few lines in kdump.init. I have attached my proposed patch. It tests and works on my system.

Test case:
/etc/kdump.conf:
  ...
  path /var/dump
  ...

echo c > /proc/sysrq-trigger

Actual results:
Full, readable core created in /var/dumps/2010-07-14-18\:14/vmcore

--- Additional comment from amwang@redhat.com on 2010-07-16 01:32:30 EDT ---

Sarina, your patch looks fine for me, I will take it. Thanks!
Comment 4 Petr Beňas 2011-02-04 03:58:03 EST
Verified in kexec-tools-2.0.0-145.el6 and by code review.
Comment 5 errata-xmlrpc 2011-05-19 10:15:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0736.html

Note You need to log in before you can comment on or make changes to this bug.